List policy exceptions

Prev Next

API URL

GET https://<host>/config/network/exception
GET https://<host>/config/network/exception/{id}
GET https://<host>/config/network/exception?<param>=<value> . . . 

URL parameters

All filters can be passed as optional query parameters. Supported ones are listed below:

id

- identity of the entry, not used for detection

exception_type

- one of signature_id|signature_name|category

exception_value

- value depends on the exception type

interface

- network interface, or "ALL"

src_ip

- Source IP (cidr) or "any"

dst_ip

- Destination IP (cidr) or "any"

action

- "block","suppress","unblock","suppress_unblock"

note

- unstructured text (1K max)

Sample curl request

curl -kg -H "$c" "https://<host>/wsapis/v2.0.0/config/network/exception? 
exception_type=category&src_ip=1.2.3.4&action=block&offset=100&limit=25&sort_by=dst_ip"

Authentication

Standard WSAPI authentication

Response

  • HTTP OK with JSON representation of the list

    Example : [{<exception entry>}, {<exception entry>}. . .]

    Empty array [] if no records match

  • HTTP Error code otherwise

Response mime type

application/json

Response codes

  • 200 - no errors

  • 401 - auth error

  • 500 - internal error